Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait StructuredTypeStrings extends DestructureTypes

  A more principled system for turning types into strings.

  A more principled system for turning types into strings.

  Definition Classes
    typechecker
- DestructureType
- Grouping
- LabelAndType
- MonoFunction
- NullaryFunction
- PolyFunction
- TypeAtom
- TypeEmpty
- TypeList
- TypeNode
- TypeProduct
- intoNodes

o

scala.tools.nsc.typechecker.StructuredTypeStrings

# TypeEmpty 

###

#### object TypeEmpty extends TypeNode

Source
  TypeStrings.scala

Linear Supertypes
TypeNode, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypeEmpty
2. TypeNode
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def grouping: Grouping
    Definition Classes
      TypeEmpty → TypeNode
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def label: String
    Definition Classes
      TypeEmpty → TypeNode
14.  def mkPrefix(showLabel: Boolean): String
    Attributes
      protected
    Definition Classes
      TypeNode
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def nodes: collection.immutable.Nil.type
    Definition Classes
      TypeEmpty → TypeNode
17.  final def notify(): Unit
    Definition Classes
      AnyRef
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
19.  def show(indent: Int, showLabel: Boolean): String
    Definition Classes
      TypeEmpty → TypeNode
20.  def show(): String
    Definition Classes
      TypeNode
21.  def show(indent: Int): String
    Definition Classes
      TypeNode
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      TypeNode → AnyRef → Any
24.  def typeName: String
    Definition Classes
      TypeEmpty → TypeNode
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  def withLabel(l: String): TypeEmpty.this.type
    Definition Classes
      TypeNode
29.  def withType(t: String): TypeEmpty.this.type
    Definition Classes
      TypeNode

### Inherited from TypeNode

### Inherited from AnyRef

### Inherited from Any

### Ungrouped